Subject: [Detnet] DetNet Use Cases - Starting the "what is in scope for DetNet" discussion

From: "Grossman, Ethan A." <[email-masked]>
Date: Tue, 29 Mar 2016 19:13:18 +0000

Hi Folks,

I claim that we have brought the DetNet Use Cases draft up to a state where I can say with a straight face "please read this document, it won't hurt you". So if you haven't already done so, please look it over.

https://tools.ietf.org/html/draft-ietf-detnet-use-cases-09

Moving on to the next step, we need to start the discussion on which aspects of the use cases will be within scope of the DetNet work. Or, perhaps it is easier to enumerate which ones are not in scope, at least for a start.

The most obvious first item to decide on is requests to have DetNet work on the open Internet - I think we're pretty clear that that is "not in scope" because our architecture depends on there being "centralized control" (which may be distributed among multiple network entities, but which together constitute a single point of control). I have also heard this phrased as "corporate networks". Do we agree on this?

Another example is timekeeping - this will be specified by other existing means, right? The only explicit DetNet Ask for this is in M2M as "Precise time synchronization accuracy (1us)" and I think the intent (as in other use cases) is that the DetNet Ask is for a way to specify the required accuracy, not how to achieve that accuracy.

Anyone else see anything that might not be in scope? I plan to ask this question in the Use Cases part of the IETF session, so if you have any thoughts please send them to the list (or if that doesn't happen, bring them to the live discussion).

Thanks,
Your faithful Use Cases Editor,
Ethan.